# Poco::Zip

# class Delete

Library: Zip
Package: Manipulation
Header: Poco/Zip/Delete.h

## Description

Delete Operation removes an entry from a Zip

## Inheritance

Direct Base Classes: ZipOperation

All Base Classes: Poco::RefCountedObject, ZipOperation

## Member Summary

Member Functions: execute

Inherited Functions: duplicate, execute, referenceCount, release

## Constructors

### Delete

Delete(
const ZipLocalFileHeader & hdr
);

Creates the Delete.

## Member Functions

### execute

void execute(
Compress & c,
std::istream & input
);

Throws away the ZipEntry

See also: Poco::Zip::ZipOperation::execute()